Sicherheitslücke bei Rubygems

07.04.2016

Die Website für Ruby-Module wies eine Sicherheitslücke auf, die den Austausch von Paketen erlaubte. Schaden ist wohl keiner enststanden.

Die Website RubyGems.org war von einem Bug betroffen, der es Angreifern ermöglicht hätte, die "Gemfiles" genannten Beschreibungen von Third-Party-Modulen für Ruby bei einigen Paketen auszutauschen. Dies ist nach Meinung der Betreiber aber nicht passiert. Am 2. April wurden die Verantwortlichen über den Bug informiert. Bei der Untersuchung des Servers machten sie noch ein weiteres Problem ausfindig, das eine Sicherheitslücke eröffnete.

Bei der Prüfung der Checksummen der gehosteten Ruby-Pakete konnten keine Unstimmigkeiten gefunden werden, allerdings besitzen nur die nach dem 8. Februar 2015 hochgeladenen Pakete solche Prüfsummen. Die anderen Projekte wurden mit anderen Mitteln auf Veränderungen hin untersucht, ebenfalls ohne Auffälligkeiten.

Ähnliche Artikel

comments powered by Disqus
Mehr zum Thema

ADMIN-Tipp: Dummy-Pakete für Debian und Ubuntu

Nicht immer bieten Linux-Distributionen die neueste Version eines Software-Pakets an. Am Beispiel von Ruby zeigen wir, wie man Software von Hand installiert und mit Dummy-Paketen trotzdem Abhängigkeiten befriedigt.

Artikel der Woche

Setup eines Kubernetes-Clusters mit Kops

Vor allem für Testinstallationen von Kubernetes gibt es einige Lösungen wie Kubeadm und Minikube. Für das Setup eines Kubernetes-Clusters in Cloud-Umgebungen hat sich Kops als Mittel der Wahl bewährt. Wir beschreiben seine Fähigkeiten und geben eine Anleitung für den praktischen Einsatz. (mehr)
Einmal pro Woche aktuelle News, kostenlose Artikel und nützliche ADMIN-Tipps.
Ich habe die Datenschutzerklärung gelesen und bin einverstanden.

Container

Wie setzen Sie Container ein?

  • Gar nicht
  • Docker standalone
  • Docker mit Kubernetes
  • Docker mit Swarm
  • Docker mit anderem Management
  • LXC/LXD
  • Rocket
  • CRI-O auf Kubernetes
  • Container auf vSphere
  • Andere (siehe Kommentare auf der Ergebnisseite)

Google+

Ausgabe /2018

Microsite